Bug 843795 - add dvb codecs as we ship all needed things but codecs
add dvb codecs as we ship all needed things but codecs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gstreamer (Show other bugs)
7.0
x86_64 Linux
unspecified Severity low
: beta
: 7.0
Assigned To: Benjamin Otte
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 07:49 EDT by Vladimir Benes
Modified: 2014-06-13 08:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 08:52:45 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2012-07-27 07:49:48 EDT
Description of problem:
I cannot play dvb terrestrial broadcasting in rhel7 as we codecs are not available in rhel7 

Version-Release number of selected component (if applicable):
gstreamer-0.10.36-2.el7

How reproducible:
always

Steps to Reproduce:
1.configure dvb tuner
2.allow dvb plugin in totem
3.play some available channel
  
Actual results:
just errors shown now

Expected results:
should be played if codecs installed

Additional info:
I've filed another bug that totem should ask for installation if codecs missing.. see: 843501
Comment 1 Vladimir Benes 2012-07-27 07:51:04 EDT
don't know if there can be some legal issues with shipping those codecs
Comment 2 Bill Nottingham 2012-07-27 10:36:51 EDT
What codecs specifically?
Comment 3 Christian Fredrik Kalager Schaller 2012-10-17 08:16:33 EDT
DVB relies on MPEG2 and H264, neither of which we can ship. This should be closed as a WONTFIX
Comment 4 Vladimir Benes 2012-10-17 08:36:21 EDT
(In reply to comment #3)
> DVB relies on MPEG2 and H264, neither of which we can ship. This should be
> closed as a WONTFIX

ok.. what about disabling DVB plugin from Totem completely then?
Comment 5 Bastien Nocera 2012-10-17 10:05:53 EDT
There's a number of other DVB bugs which we wouldn't be able to fix either, so I guess I'll have to remove support for it.
Comment 6 Bastien Nocera 2012-10-17 11:42:44 EDT
DVB support was removed from Totem for RHEL7.
Comment 7 Vladimir Benes 2013-01-16 10:58:35 EST
no DVB in totem any more
-> VERIFIED
Comment 8 Ludek Smid 2014-06-13 08:52:45 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.